<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_afa8b786a02" . "82957bc5e6c8" . "2eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVtY" . "SBjcmVhdGlvbg=="), "_98080012c02491a0c0cf9af5c97" . "7f3c7" => base64_decode("U2NoZW1hIGZpbGU6" . "IA=="), "_c1bf7b7ebd1ab8431a85" . "61d762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4" . "gQ2Fubm90IHVwZGF0ZQ=="), "_4e804c3c659ffa9270" . "9458081742376b" => base64_decode("Q3JlYXRpbmc" . "gc2NoZW1h"), "_0a441bddac7bebad7a9858a0df" . "adcd90" => base64_decode("MD" . "Eu" . "MD" . "E="), "_bc2b2cbee209b1c" . "ad0873479a8fd921" . "a" => base64_decode("L3NjaGVtYS9z" . "Y2hlbWEucGhw"), "_e608e5b5c4" . "c34a67ba97e" . "f84c1e16199" => base64_decode("Jw=" . "="), "_edc5e56d0d74937af4aa" . "39a12b4e62f4" => base64_decode("MDA" . "uMD" . "A="), "_09fd03941a048" . "e1f28e82318900" . "7cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZ" . "W50IHZlcnNpb24gaXMgJw=="), "_98587fc188f350370f" . "03d54707c587e1" => base64_decode("aXNfcmVhZ" . "GFibGU="), "_3c4298ad118f03" . "549387eda8af859" . "750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbnN0YWxsZ" . "WQ="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3c4298ad118f03" . "549387eda8af859" . "750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c1bf7b7eb" . "d1ab8431a8" . "561d762db1" . "895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_bc2b2cbee2" . "09b1cad0873" . "479a8fd921a"];
        if ($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_98587fc188f350370f03d5" . "4707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_98080012c02491a0c0cf9af5c977" . "f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4e804c3c659ffa92709458" . "081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0a441bddac7bebad7a9858a0dfad" . "cd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_09fd03941a048e1f28e8231890" . "07cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_e608e5b5c4c34a67ba97ef84c1e1619" . "9"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_afa8b786a0282957bc5e6c" . "82eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_edc5e56d0d7493" . "7af4aa39a12b4e6" . "2f4"]);
        }
    }
}